Package org.opensaml.profile.action.impl

# Class LogEvent

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.impl.LogEvent

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`

public class LogEvent extends AbstractProfileAction
A profile action that logs an event if one is found in the profile request context.

Event:
  `EventIds.PROCEED_EVENT_ID`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,EventContext>`
`eventContextLookupStrategy`
Strategy function for access to `EventContext` to check.
`private final org.slf4j.Logger`
`log`
Class logger.
`private Set<String>`
`suppressedEvents`
Set of events to ignore for logging purposes.

## Constructor Summary

Constructors
Constructor
Description
`LogEvent()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext)`
Performs this action.
`void`
`setEventContextLookupStrategy(Function<ProfileRequestContext,EventContext> strategy)`
Set lookup strategy for `EventContext` to check.
`void`
`setSuppressedEvents(Collection<String> events)`
Set a collection of events to ignore for logging purposes.

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, doPreExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### eventContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,EventContext> eventContextLookupStrategy
Strategy function for access to `EventContext` to check.

### suppressedEvents

@Nonnull private Set<String> suppressedEvents
Set of events to ignore for logging purposes.

## Constructor Details

### LogEvent

public LogEvent()
Constructor.

## Method Details

### setEventContextLookupStrategy

public void setEventContextLookupStrategy(@Nonnull Function<ProfileRequestContext,EventContext> strategy)
Set lookup strategy for `EventContext` to check.

Parameters:
  `strategy` - lookup strategy

### setSuppressedEvents

public void setSuppressedEvents(@Nullable Collection<String> events)
Set a collection of events to ignore for logging purposes.

Parameters:
  `events` - events to ignore

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext)
Performs this action. Actions must override this method to perform their work.

Overrides:
  `doExecute` in class `AbstractProfileAction`
Parameters:
  `profileRequestContext` - the current IdP profile request context